%define name     gimageview
%define version  0.2.27
%define release  1mdk

%define libname_orig %mklibname %{name}
%define libname %{libname_orig}0

Summary: A GTK+2 based image viewer that supports xine and mplayer
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: Graphics
URL: http://www.homa.ne.jp/~ashie/gimageview/
Source0: %{name}-%{version}.tar.bz2
Patch1:	fix_autogen.patch.bz2
Requires: mplayer %libname
BuildRequires: gtk+2-devel librsvg-devel libwmf-devel libxine-devel 
BuildRequires: automake >= 1.7 automake < 1.8
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
GImageView is a GTK+2 based image viewer.
It supports tabbed browsing, thumbnail table views, directory tree views,
drag and drop, reading thumbnail cache of other famous image viewers,
and flexible user interface. Also it supports xine and mplayer. So you can
play movies/music. 


%package -n %{libname}
Summary:	Gimageview library
Group:		Graphics
Provides:	%{libname_orig} = %{version}-%{release}

%description -n %{libname}
gimageview library.

%package -n %{libname}-devel
Summary:	Headers of gimageview for development
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{libname_orig}-devel = %{version}-%{release}

%description -n %{libname}-devel
Headers of %{name} for development.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%patch1 -p0

%build

sh autogen.sh
%configure --with-gtk2 --with-xine --enable-mplayer --disable-splash
%make

%install
%{__rm} -rf $RPM_BUILD_ROOT

%{makeinstall}

# menu
mkdir -p %{buildroot}%{_menudir}
cat > %{buildroot}%{_menudir}/%{name} <<EOF
?package(%{name}): \
 command="%{_bindir}/gimv" \
 icon="graphics_section.png" \
 title="Gimagview" \
 longtitle="A browser for graphics files" \
 needs="x11" \
 section="Multimedia/Graphics"
EOF

%find_lang %{name}

%post 
%update_menus

%postun
%clean_menus

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-, root, root)
%doc %{_docdir}/%{name}
%{_bindir}/gimv
%{_datadir}/pixmaps/gimv.png
%{_datadir}/gnome/apps/Graphics/gimageview.desktop
%{_datadir}/%{name}/gtkrc
%{_datadir}/%{name}/mplayerrc
%{_datadir}/%{name}/pixmaps/default/*.xpm
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/pixmaps/
%dir %{_datadir}/%{name}/pixmaps/default/
%_menudir/*

%files -n %{libname}
%defattr(-,root,root)
%doc COPYING
%{_libdir}/%{name}/*/*.so

%files -n %{libname}-devel
%defattr(-,root,root)
%doc COPYING
%{_libdir}/%{name}/*/*.la


%changelog
* Fri Feb 04 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.2.27-1mdk
- 0.2.27

* Thu Sep 30 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.2.26-1mdk
- new release

* Fri Sep 24 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.2.25-0.20040924.1mdk
- cvs20040924

* Sat Sep 04 2004 Michael Scherer <misc@mandrake.org> 0.2.25-0.20040730.2mdk 
- [DIRM]

* Fri Jul 30 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.2.25-0.20040730.1mdk
- cvs20040730
- remove Patch0 (conflict)
- add Patch1

* Wed Mar 17 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.2.25-1mdk
- fix requires
- add xine and mplayer support
- separation (gimageview*, libgimageview0*, libgimageview0-devel)
- use 20040317cvs

* Mon Mar 01 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.2.24-1mdk
- from Shlomi Fish <shlomif@vipe.technion.ac.il> :
	- converted to Mandrake.

* Mon May 19 2003 Takuro Ashie <ashie@homa.ne.jp>
- add mplayerrc

* Sat Aug 31 2002 Takuro Ashie <ashie@homa.ne.jp>
- moved document directory under %%_docdir.

* Wed Aug 28 2002 Takuro Ashie <ashie@homa.ne.jp>
- added japanese HTML files.

* Sun May 21 2002 Takuro Ashie <ashie@homa.ne.jp>
- added gtkrc and gimageview.desktop files.

* Sun Feb 23 2002 Takuro Ashie <ashie@homa.ne.jp>
- Modified to use gdk-pixbuf instead of imlib.
- Replaced "gimageview" directory to %%{name}

* Sun Feb 17 2002 Takuro Ashie <ashie@homa.ne.jp>
- Bug fix.

* Thu Feb 12 2002 Takuro Ashie <ashie@homa.ne.jp>
- Update to 0.1.97

* Thu Jan  3 2002 ARAKI Manabu <hora@st.rim.or.jp>
- 0.1.7-0vl1

* Tue Dec 25 2001 ARAKI Manabu <hora@st.rim.or.jp>
- 0.1.6-0vl1

* Mon Dec 10 2001 ARAKI Manabu <hora@st.rim.or.jp>
- 0.1.5-0vl1
- change Source0

* Thu Nov 15 2001 ARAKI Manabu <hora@st.rim.or.jp>
- 0.1.3-0vl1
- build for Vine Linux 2.1.*
- modify spec file (base: 0.1.2-3k.nosrc.rpm)
- add Japanese summary and description.

* Sat Nov 02 2001 Ogawa Youhei <t-nyan2@nifty.com>
- for version 0.1.2

* Sat Nov 02 2001 Ogawa Youhei <t-nyan2@nifty.com>
- change files section for 2001-11-01 nightly

* Sat Oct 15 2001 Ogawa Youhei <t-nyan2@nifty.com>
- for nightly

* Sat Oct 12 2001 Ogawa Youhei <t-nyan2@nifty.com>
- for version 0.1.1

* Sat Sep 08 2001 Ogawa Youhei <t-nyan2@nifty.com>
- for version 0.1.0

* Sat Sep 08 2001 Ogawa Youhei <t-nyan2@nifty.com>
- Initial build.
